Bug 1251934 - [abrt] java-1.8.0-openjdk-headless: os::abort(bool)(): java killed by SIGABRT
Summary: [abrt] java-1.8.0-openjdk-headless: os::abort(bool)(): java killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8c0fd9622f2e27ed6671377666e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-10 11:06 UTC by Timo Klerx
Modified: 2016-07-19 17:27 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 17:27:08 UTC


Attachments (Terms of Use)
File: backtrace (82.83 KB, text/plain)
2015-08-10 11:06 UTC, Timo Klerx
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-10 11:06 UTC, Timo Klerx
no flags Details
File: core_backtrace (47.34 KB, text/plain)
2015-08-10 11:06 UTC, Timo Klerx
no flags Details
File: dso_list (16.60 KB, text/plain)
2015-08-10 11:06 UTC, Timo Klerx
no flags Details
File: environ (839 bytes, text/plain)
2015-08-10 11:06 UTC, Timo Klerx
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-10 11:06 UTC, Timo Klerx
no flags Details
File: maps (64.64 KB, text/plain)
2015-08-10 11:07 UTC, Timo Klerx
no flags Details
File: mountinfo (3.41 KB, text/plain)
2015-08-10 11:07 UTC, Timo Klerx
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-10 11:07 UTC, Timo Klerx
no flags Details
File: open_fds (6.95 KB, text/plain)
2015-08-10 11:07 UTC, Timo Klerx
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-08-10 11:07 UTC, Timo Klerx
no flags Details
File: var_log_messages (353 bytes, text/plain)
2015-08-10 11:07 UTC, Timo Klerx
no flags Details

Description Timo Klerx 2015-08-10 11:06:47 UTC
Description of problem:
1. start gnome3 with wayland
2. launch eclipse
3. jvm crash

Version-Release number of selected component:
java-1.8.0-openjdk-headless-1.8.0.51-4.b16.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/java -Xms128m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20150513-1800.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.4.2.v20150513-1759/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20150513-1800/eclipse_1608.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20150513-1800.jar --launcher.appendVmargs -exitdata e0002 -protect master -vm /usr/bin/java -vmargs -Xms128m -Xmx1024m -Dorg.eclipse.swt.browser.UseWebKitGTK=true -Dhelp.lucene.tokenizer=standard -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/eclipse/tycho/core/osgitools/EquinoxResolver,newState -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Declipse.p2.skipMovedInstallDetection=true -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20150513-1800.jar
crash_function: os::abort(bool)
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/jre/bin/java
global_pid:     22961
kernel:         4.1.3-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1005

Truncated backtrace:
Thread no. 1 (4 frames)
 #2 os::abort(bool) at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:1546
 #3 VMError::report_and_die() at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:1094
 #4 JVM_handle_linux_signal(int, siginfo_t*, void*, int) at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/os_cpu/linux_x86/vm/os_linux_x86.cpp:541
 #5 signalHandler(int, siginfo_t*, void*) at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-4.b16.fc22.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:4272

Potential duplicate: bug 1207242

Comment 1 Timo Klerx 2015-08-10 11:06:51 UTC
Created attachment 1061000 [details]
File: backtrace

Comment 2 Timo Klerx 2015-08-10 11:06:53 UTC
Created attachment 1061001 [details]
File: cgroup

Comment 3 Timo Klerx 2015-08-10 11:06:54 UTC
Created attachment 1061002 [details]
File: core_backtrace

Comment 4 Timo Klerx 2015-08-10 11:06:56 UTC
Created attachment 1061003 [details]
File: dso_list

Comment 5 Timo Klerx 2015-08-10 11:06:57 UTC
Created attachment 1061004 [details]
File: environ

Comment 6 Timo Klerx 2015-08-10 11:06:58 UTC
Created attachment 1061005 [details]
File: limits

Comment 7 Timo Klerx 2015-08-10 11:07:00 UTC
Created attachment 1061006 [details]
File: maps

Comment 8 Timo Klerx 2015-08-10 11:07:01 UTC
Created attachment 1061007 [details]
File: mountinfo

Comment 9 Timo Klerx 2015-08-10 11:07:03 UTC
Created attachment 1061008 [details]
File: namespaces

Comment 10 Timo Klerx 2015-08-10 11:07:04 UTC
Created attachment 1061009 [details]
File: open_fds

Comment 11 Timo Klerx 2015-08-10 11:07:05 UTC
Created attachment 1061010 [details]
File: proc_pid_status

Comment 12 Timo Klerx 2015-08-10 11:07:06 UTC
Created attachment 1061011 [details]
File: var_log_messages

Comment 13 Deepak Bhole 2015-08-11 14:06:01 UTC
Seems to have originated in JNI code from swt  (Java_org_eclipse_swt_internal_gtk_OS__1XInternAtom).

Re-assigning.

Comment 14 Fedora End Of Life 2016-07-19 17:27:08 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.